
Name:           python-restauth
Version:        0.6.1
Release:        18%{?dist}
Summary:        Reference implementation of RestAuth specification in Python
License:        GPLv3+
URL:            https://python.restauth.net/
Source0:        https://python.restauth.net/download/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
The RestAuth project is a system providing shared authentication,\
authorization and preferences.\
\
This reference library implements all features of the RestAuth specification.\
It is written in pure python and generally works with\
Python 2.6 or later (including Python 3).

%description %_description

%package -n python3-restauth
Summary:        Reference implementation of RestAuth specification in Python
Requires:       python3-restauth-common

%description -n python3-restauth
The RestAuth project is a system providing shared authentication,
authorization and preferences.

This reference library implements all features of the RestAuth specification.
It is written in pure Python and generally works with
Python 2.6 or later (including Python 3).


%package doc
Summary:        RestAuth Documentation

%description doc
Documentation for RestAuth

%prep
%setup -q -c


%build

CFLAGS="%{optflags}" %{__python3} setup.py build

%{__python3} setup.py build_doc

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%{__python3} setup.py install --skip-build --root %{buildroot}
rm -rf %{py3dir}/usr/share/doc/*

rm -rf %{buildroot}/usr/share/doc/*

# Install doc
cp -a ./doc/_build/html ./
rm -f html/\.buildinfo

# Remove shebangs from examples and make them non-executable
for f in examples/*.py; do
    sed '/\/usr\/bin\/env/d' $f > $f.new &&
    touch -r $f $f.new && mv $f.new $f
    chmod -x $f
done

%files -n python3-restauth
%doc AUTHORS ChangeLog COPYING COPYRIGHT
%{python3_sitelib}/*

%files doc
%doc html examples

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.1-17
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6.1-15
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.1-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.1-12
- Python 2 binary package renamed to python2-restauth
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6.1-9
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Jan Kaluza <jkaluza@redhat.com> - 0.6.1-1
- update to upstream version 0.6.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 0.5.1-6
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 1 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-3
- include examples

* Wed Nov 30 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-2
- include docs

* Wed Nov 02 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-1
- Initial version
